#!/bin/bash
# Laptop-script install.sh 
# Ubuntu or debian

# Test Debian
[[ -z `which aptitude` ]] || [[ -z `which aptitude` ]] && echo "This script is only for debian and derivate" && exit 1

function install () {

# Permission
chmod -R 755 etc/
chmod -R 755 usr/
chmod -R 644 usr/share/laptop-script/helpers/

# /usr/
cp -f usr/bin/laptop-script /usr/bin/laptop-script 
[[ ! -e /usr/share/laptop-script ]] && mkdir /usr/share/laptop-script
[[ -f /usr/share/laptop-script/rules.sh ]] && mv /usr/share/laptop-script/rules.sh /usr/share/laptop-script/rules.sh.bak && echo "Your old rules are rename in rules.sh.bak"
cp -f usr/share/laptop-script/rules.sh /usr/share/laptop-script/rules.sh

# /etc/
[[ -f /etc/laptop-script.conf ]] && mv /etc/laptop-script.conf /etc/laptop-script.conf.bak & echo "Your old configuration is rename in laptop-script.conf.bak"
cp -f etc/laptop-script.conf /etc/laptop-script.conf 
cp -f etc/init.d/init-laptop-script /etc/init.d/init-laptop-script
update-rc.d init-laptop-script defaults 99  &> /dev/null
cp -f etc/pm/sleep.d/45laptop-script /etc/pm/sleep.d/45laptop-script 

# /helper
[[ ! -e /usr/share/laptop-script/helpers ]] && mkdir /usr/share/laptop-script/helpers
cp -f usr/share/laptop-script/helpers/README /usr/share/laptop-script/helpers/README 
cp -f usr/share/laptop-script/helpers/COPYING /usr/share/laptop-script/helpers/COPYING
cp -f usr/share/laptop-script/helpers/INSTALLATION /usr/share/laptop-script/helpers/INSTALLATION 
cp -f usr/share/laptop-script/helpers/genmon_plugin_battery.tar.gz /usr/share/laptop-script/helpers/genmon_plugin_battery.tar.gz

function uninstall () {

rm /usr/bin/laptop-script
rm -rf /usr/share/laptop-script
rm /etc/laptop-script.conf
update-rc.d -f init-laptop-script remove &> /dev/null
rm /etc/init.d/init-laptop-script
rm /etc/pm/sleep.d/45laptop-script
}

case $1 in

install) [[ -n `which laptop-script` ]] && echo "Laptop-script is already install, please remove" && exit 1
install ; [[ $? -ne 0 ]] && error="1" ;;

uninstall) [[ -z `which laptop-script` ]] && echo "Laptop-script isn't install, please install" && exit 1
uninstall ; [[ $? -ne 0 ]] && error="1" ;;

*) echo "Usage: install | uninstall" ;;
esac

[[ $error -eq 1 ]] && echo "An error occured !" && exit 1
[[ -n $1 ]] && echo "Laptop-script is $1ed"

exit 0

